Purge
Posthttps://api.cdn77.com/v3/cdn/{id}/job/purge/pathsRequest parameters
idinteger in pathrequired
Request body≥1 required
pathsarray of stringsList of file paths, that are being processed in the job.
Example of the request body
{
"paths": [
"/sub/img.png"
]
}Responses
Job queued.
Response parameters
idstring, format UUIDv4Job ID.
typestringThere are two types of jobs: purge: instantly removes cached content from all enabled datacenters. purge-all: instantly removes all cached content from all enabled datacenters.
Available values:
purge,purge-allcdnobjectpathsarray of stringsList of file paths, that are being processed in the job.
paths_countintegerignored_pathsarray of stringsstatestringState of the request.
Available values:
done,processing,queuedqueued_atstring, format date-timeTime of the request at queueing.
done_atstring, format date-timeTime of request at completion.
tagsarray of strings
Example of the response
{
"id": "9880280c-0507-46d1-88f3-71cfee83fa57",
"type": "purge",
"cdn": {
"id": 1234567890
},
"paths": [
"/sub/img.png"
],
"paths_count": 100,
"ignored_paths": [
"/sub/img.png/*"
],
"state": "done",
"queued_at": "2027-07-07T00:00:00.000Z",
"done_at": "2027-07-07T00:00:00.000Z",
"tags": [
"videos"
]
}